Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157410 - FC4Test3 DVD installation fails with python assertion and reboot
Summary: FC4Test3 DVD installation fails with python assertion and reboot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: athlon
OS: Linux
medium
high
Target Milestone: ---
Assignee: Alan Cox
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-11 13:48 UTC by Jacek Piskozub
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-30 05:52:01 UTC


Attachments (Terms of Use)

Description Jacek Piskozub 2005-05-11 13:48:22 UTC
Description of problem:


Version-Release number of selected component (if applicable): 


How reproducible:

Always on one computer (AMD Athlon processor).


Steps to Reproduce:
1. Install from DVD in graphic mode
2. Go all the way past medium check (which gave OK)
3. Just after python start seen the assertion and following reboot
  
Actual results:

Copied from the screen:

python: Python/compile.c:1235: com_addbyte: Assertion 'byte>=0 && byte<==255' failed


Expected results:

Fedora Core 4 test 3 installed.

Additional info:

Did not test non-graphic install, yet.

Comment 1 Jacek Piskozub 2005-05-11 13:57:17 UTC
I'll add that the BIOS is American Megatrends Inc., P2.20 and Fedora was being
installed from LITE-ON DVDRW SOHW-1633S drive. Motherboard make: unknown (not
possible to open the box). 

Comment 2 Jacek Piskozub 2005-05-11 13:59:05 UTC
Changing component to Anaconda.

Comment 3 Jacek Piskozub 2005-05-12 12:39:28 UTC
I've checked the mainboard make. It's Epox P2-112A. The same DVD disk had no
problem installing on another PC (Intel P4, Asus mainboard).

Comment 4 Jacek Piskozub 2005-05-13 13:10:02 UTC
Some more info: the text installation WFM unlike the graphic one. The graphic
card is a Radeon 9200.

Comment 5 Jeremy Katz 2005-05-16 20:29:24 UTC
Does booting with 'linux ide=nodma' help?

Comment 6 Jacek Piskozub 2005-05-18 08:29:33 UTC
Yes, the graphic installation does work with "ide=nodma".

Comment 7 Jacek Piskozub 2005-06-15 10:30:42 UTC
Changing version to "fc4" as this problem happens also with the final FC4 on the
same very computer.

Comment 8 Dave Jones 2005-07-15 21:09:37 UTC
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.


Comment 9 Dave Jones 2005-09-30 05:52:01 UTC
closing due to inactivity. assuming errata kernel fixes this.



Note You need to log in before you can comment on or make changes to this bug.